// ILAnimationDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ILAnimation.h"
#include "ILAnimationDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CILAnimationDlg dialog

CILAnimationDlg::CILAnimationDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CILAnimationDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CILAnimationDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CILAnimationDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CILAnimationDlg)
	DDX_Control(pDX, IDC_HAND, m_hand);
	DDX_Control(pDX, IDC_PLAY4, m_play4);
	DDX_Control(pDX, IDC_PLAY3, m_play3);
	DDX_Control(pDX, IDC_PLAY2, m_play2);
	DDX_Control(pDX, IDC_PLAY1, m_play1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CILAnimationDlg, CDialog)
	//{{AFX_MSG_MAP(CILAnimationDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_PLAY1, OnPlay1)
	ON_BN_CLICKED(IDC_PLAY2, OnPlay2)
	ON_BN_CLICKED(IDC_PLAY3, OnPlay3)
	ON_BN_CLICKED(IDC_PLAY4, OnPlay4)
	ON_BN_CLICKED(IDC_HAND, OnHand)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CILAnimationDlg message handlers

BOOL CILAnimationDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	vid[0].CreateFromStatic(IDC_ANIM1,this);
	vid[1].CreateFromStatic(IDC_ANIM2,this);
	vid[2].CreateFromStatic(IDC_ANIM3,this);
	vid[3].CreateFromStatic(IDC_ANIM4,this);
//	vid[4].Create(IDC_ANIM5,this,CRect(370,50,400,80));

	vid[0].LoadBitmap(IDB_BITMAP1,38,38);
	vid[1].LoadBitmap(IDB_BITMAP2,26,26);
	vid[2].LoadBitmap(IDB_BITMAP3,26,26);
	vid[3].LoadBitmap(IDB_BITMAP4,38,38);//,FALSE);


	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CILAnimationDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CILAnimationDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CILAnimationDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CILAnimationDlg::OnPlay1() 
{
	BOOL bCheck = m_play1.GetCheck();
	m_play1.SetCheck(bCheck);
	(bCheck) ? vid[0].Play() : vid[0].Pause();
	
}
void CILAnimationDlg::OnPlay2() 
{
	BOOL bCheck = m_play2.GetCheck();
	m_play2.SetCheck(bCheck);
	(bCheck) ? vid[1].Play() : vid[1].Pause();

	
}
void CILAnimationDlg::OnPlay3() 
{
	BOOL bCheck = m_play3.GetCheck();
	m_play3.SetCheck(bCheck);
	(bCheck) ? vid[2].Play() : vid[2].Pause();
	
}
void CILAnimationDlg::OnPlay4() 
{
	BOOL bCheck = m_play4.GetCheck();
	m_play4.SetCheck(bCheck);
	(bCheck) ? vid[3].Play() : vid[3].Pause();
	
}

void CILAnimationDlg::OnHand() 
{
	BOOL bCheck = m_hand.GetCheck();
	m_hand.SetCheck(bCheck);
	for (int i=0;i<5;i++)
		vid[i].SetHandCursor(bCheck);
}
